Package org.eclipse.emf.cdo.common

# Enum Class CDOCommonRepository.Mode

java.lang.Object
java.lang.Enum<CDOCommonRepository.Mode>
org.eclipse.emf.cdo.common.CDOCommonRepository.Mode

All Implemented Interfaces:
  `Serializable`, `Comparable<CDOCommonRepository.Mode>`, `java.lang.constant.Constable`

Enclosing interface:
  `CDOCommonRepository`

public static enum CDOCommonRepository.Mode extends Enum<CDOCommonRepository.Mode>
Enumerates the possible `types` of a CDO repository.

Since:
  4.27
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AUDITING`
`BRANCHING`
`NORMAL`

## Method Summary

Modifier and Type
Method
Description
`abstract boolean`
`isSupportingAudits()`
`abstract boolean`
`isSupportingBranches()`
`static CDOCommonRepository.Mode`
`parse(String name)`
`static CDOCommonRepository.Mode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOCommonRepository.Mode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NORMAL

public static final CDOCommonRepository.Mode NORMAL

### AUDITING

public static final CDOCommonRepository.Mode AUDITING

### BRANCHING

public static final CDOCommonRepository.Mode BRANCHING

## Method Details

### values

public static CDOCommonRepository.Mode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CDOCommonRepository.Mode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isSupportingAudits

public abstract boolean isSupportingAudits()

### isSupportingBranches

public abstract boolean isSupportingBranches()

### parse

public static CDOCommonRepository.Mode parse(String name)